Bug 142127 - [new port]: haskell port devel/hs-ObjectName
Summary: [new port]: haskell port devel/hs-ObjectName
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-haskell (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-29 13:50 UTC by Jacula Modyun
Modified: 2010-01-03 00:34 UTC (History)
0 users

See Also:


Attachments
hs-ObjectName.shar (4.11 KB, text/plain)
2009-12-29 13:50 UTC, Jacula Modyun
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jacula Modyun 2009-12-29 13:50:01 UTC
ObjectName: Explicitly handled object names. This tiny package contains the
class ObjectName, which corresponds to the general notion of explicitly handled
identifiers for API objects, e.g. a texture object name in OpenGL or a buffer
object name in OpenAL

http://www.haskell.org/haskellwiki/Opengl
Comment 1 Edwin Groothuis freebsd_committer 2009-12-29 13:50:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->haskell

haskell@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2010-01-02 22:44:18 UTC
pgj         2010-01-02 22:44:04 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/hs-ObjectName  Makefile distinfo pkg-descr pkg-plist 
  Log:
  This tiny Haskell package contains the class ObjectName, which corresponds to
  the general notion of explicitly handled identifiers for API objects, e.g. a
  texture object name in OpenGL or a buffer object name in OpenAL.
  
  WWW: http://www.haskell.org/HOpenGL/
  
  PR:             ports/142127
  Submitted by:   Jacula Modyun <jacula(at)gmail.com>
  
  Revision  Changes    Path
  1.3731    +1 -0      ports/devel/Makefile
  1.1       +75 -0     ports/devel/hs-ObjectName/Makefile (new)
  1.1       +3 -0      ports/devel/hs-ObjectName/distinfo (new)
  1.1       +5 -0      ports/devel/hs-ObjectName/pkg-descr (new)
  1.1       +14 -0     ports/devel/hs-ObjectName/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Gabor Pali freebsd_committer 2010-01-03 00:34:06 UTC
State Changed
From-To: open->closed

The port has been committed with minor nits.  Thank you!